KDE 4.9 PyKDE API Reference

- KDE's Python API

# KFontAction Class Reference

`from PyKDE4.kdeui import *`

Inherits: KSelectAction → KAction → QWidgetAction → QAction → QObject

## Detailed Description

An action to select a font family. On a toolbar this will show a combobox with all the fonts on the system.

## Methods

| __init__ (self, long fontListCriteria, QObject parent)
| __init__ (self, QObject parent)
| __init__ (self, QString text, QObject parent)
| __init__ (self, KIcon icon, QString text, QObject parent)
QWidget | createWidget (self, QWidget parent)
QString | font (self)
| setFont (self, QString family)

## Method Documentation

__init__ | ( | self, |
|  | long | fontListCriteria,
|  | QObject | parent
| ) |  |  |

__init__ | ( | self, |
|  | QObject | parent
| ) |  |  |

__init__ | ( | self, |
|  | QString | text,
|  | QObject | parent
| ) |  |  |

__init__ | ( | self, |
|  | KIcon | icon,
|  | QString | text,
|  | QObject | parent
| ) |  |  |

QWidget createWidget | ( | self, |
|  | QWidget | parent
| ) |  |  |

QString font | ( |  | self ) |

setFont | ( | self, |
|  | QString | family
| ) |  |  |